=== modified file 'Makefile'
--- Makefile	2015-01-06 22:09:19 +0000
+++ Makefile	2015-03-09 11:16:15 +0000
@@ -1,21 +1,22 @@
 #!/usr/bin/make
-SHARED_ROLES := wsgi-app nrpe-external-master payload directories-and-permissions
-SOURCEDEPS_DIR ?= $(shell dirname $(PWD))/.sourcecode
 VIRTUALENV := virtualenv
 ANSIBLE := $(VIRTUALENV)/bin/ansible-playbook
 FLAKE8 := $(VIRTUALENV)/bin/flake8
 NOSE := $(VIRTUALENV)/bin/nosetests
 PIP := $(VIRTUALENV)/bin/pip
 CHARMTOOLS := $(VIRTUALENV)/bin/charm
+AMULET := $(VIRTUALENV)/bin/amulet
+TEST_JUJU_ENV := local
 
 build: sync-charm-helpers test
 
-/tmp/charm_helpers_sync.py:
+/tmp/charm_helpers_sync.py: $(VIRTUALENV)
 	@bzr cat lp:charm-helpers/tools/charm_helpers_sync/charm_helpers_sync.py \
 		> /tmp/charm_helpers_sync.py
+	$(VIRTUALENV)/bin/pip install six pyyaml
 
 sync-charm-helpers: /tmp/charm_helpers_sync.py
-	@/usr/bin/env python /tmp/charm_helpers_sync.py -c charm-helpers.yaml
+	@$(VIRTUALENV)/bin/python /tmp/charm_helpers_sync.py -c charm-helpers.yaml
 
 $(VIRTUALENV):
 	@virtualenv $(VIRTUALENV)
@@ -36,17 +37,25 @@
 	@$(PIP) install charm-tools
 	touch $(CHARMTOOLS)
 
-lint: $(ANSIBLE) $(FLAKE8) $(CHARMTOOLS)
+$(AMULET): $(VIRTUALENV)
+	@$(PIP) install amulet
+	touch $(AMULET)
+
+.ansible_hosts:
 	@echo "localhost" > .ansible_hosts
-	@$(ANSIBLE) playbook.yaml --syntax-check -i .ansible_hosts
-	@rm -f .ansible_hosts
-	@$(FLAKE8) --exclude hooks/charmhelpers --ignore=E125 hooks
-	@$(FLAKE8) --exclude hooks/charmhelpers --ignore=E125 unit_tests
-	@$(CHARMTOOLS) proof
-
-test: $(NOSE)
+
+.INTERMEDIATE: .ansible_hosts
+.DELETE_ON_ERROR: .ansible_hosts
+
+lint: $(ANSIBLE) $(FLAKE8) $(CHARMTOOLS) .ansible_hosts
+	$(ANSIBLE) playbook.yaml --syntax-check -i .ansible_hosts
+	$(FLAKE8) --exclude hooks/charmhelpers --ignore=E125 hooks --ignore=E125 unit_tests
+	$(CHARMTOOLS) proof
+
+test: $(NOSE) $(AMULET) $(CHARMTOOLS)
 	@echo Starting tests...
-	@$(NOSE) -s --nologcapture unit_tests
+	$(NOSE) -s --nologcapture unit_tests
+	#$(VIRTUALENV)/bin/juju-test -e $(TEST_JUJU_ENV)
 
 clean:
 	-rm -r $(VIRTUALENV)

=== added directory 'tests'
